Subject: Re: Python
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 21 Mar 2001 00:37:18 +1100

----- Original Message -----
From: "Norman Vine" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Sent: Wednesday, March 21, 2001 12:18 AM
Subject: RE: Python

RE: PythonRobert Collins writes:

>       What errors do you get building python with threads ? I'm
>working on the thread support and thought that python might be a nice
>cross-check for my test-suites...
>
>I haven't made the time to grab a tarball and work through any issues
>myself (I want to finish the work off first!)

Robert

Python has problems compiling with the latest DLLs

First one is a showstopper at this line in <sys/signal.h>

#if defined(_POSIX_THREADS)
int _EXFUN(pthread_kill, (pthread_t thread, int sig));
#endif

I notice that this is also defined in <pthread.h>

??

Norman

===
thanks... keep them coming :]

My docs don't have much to say on
int pthread_kill(pthread_t thread, int sig); (the _EXFUN is a
programming trick)
but a google search turned up the same prototype, and defined in
sys/signal.h not pthread.h so I guess that's another pthread bug.
The problem with this one is that we will likely break the ABI by fixing
it

Chris - your opinion? It's a trivial code change, and every reference I
saw with a quick search had pthread_kill(pthread_t thread (as
sys/signal.h does) rather than pthread_kill(pthread_t * thread as the
current cygwin implementation does...

I'd like to fix this.

Rob

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple